获取 secureScore

命名空间:microsoft.graph

检索 secureScore 对象的属性和关系。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) SecurityEvents.Read.All,SecurityEvents.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 SecurityEvents.Read.All,SecurityEvents.ReadWrite.All

HTTP 请求

GET /security/secureScores/{id}

请求标头

名称 说明
Authorization Bearer {code}。 必需。

请求正文

请勿提供此方法的请求正文。 将忽略请求正文。

响应

如果成功,此方法在响应 200 OK 正文中返回 响应代码和 secureScore 对象。 如果从提供程序返回了 2xx 或 404 以外的状态代码,或者提供程序超时,则响应将是 206 Partial Content 状态代码,提供程序的响应位于警告标头中。 有关详细信息,请参阅 Microsoft Graph 安全性 API 错误响应

示例

请求

下面展示了示例请求。

GET https://graph.microsoft.com/v1.0/security/secureScores/{id}

响应

下面展示了示例响应。

HTTP/1.1 200 OK
Content-type: application/json

{
  "id": "00000001-0001-0001-0001-000000000001c_2019-03-19",
  "azureTenantId": "00000001-0001-0001-0001-000000000001c",
  "activeUserCount": 0,
  "createdDateTime": "2019-03-19T15:21:00Z",
  "currentScore": 387.0,
  "enabledServices": [
    "HasExchange",
    "HasSharePoint",
    "HasInTune"
  ],
  "licensedUserCount": 100,
  "maxScore": 697.0,
  "averageComparativeScores": [
    {
      "basis": "AllTenants",
      "averageScore": 37.0
    },
    {
      "basis": "TotalSeats",
      "averageScore": 46.0
    },
    {
      "basis": "IndustryTypes",
      "averageScore": 109.0
    }
  ],
  "controlScores": [
    {
      "controlCategory": "Identity",
      "controlName": "AdminMFA",
      "description": "Requiring multi-factor authentication (MFA) for all Azure Active Directory accounts with privileged roles",
      "score": 35.0
    },
    {
      "controlCategory": "Data",
      "controlName": "DLPEnabled",
      "description": "Data Loss Prevention (DLP) policies can be used to comply with business standards and industry regulations.",
      "score": 20.0
    }
  ],
"vendorInformation": {
  "provider": "SecureScore",
  "providerVersion": null,
  "subProvider": null,
  "vendor": "Microsoft"
  }
}